---
title: File.getAsBinary()
slug: Web/API/File/getAsBinary
tags:
  - API
  - File API
  - Files
  - Method
  - Non-standard
  - Obsolete
  - Reference
  - Référence(2)
---
<p>{{APIRef("File API")}}</p>

<p>{{non-standard_header}}</p>

<p>{{obsolete_header(7.0)}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>getAsBinary</code> method allows to access the file's data in raw binary format.</p>

<div class="note">
<p><strong>Note:</strong> This method is obsolete; you should use the {{domxref("FileReader")}} method {{domxref("FileReader.readAsBinaryString()","readAsBinaryString()")}} or {{domxref("FileReader.readAsArrayBuffer()","readAsArrayBuffer()")}} instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre>var binary = <em>instanceOfFile</em>.getAsBinary();</pre>

<h3 id="Returns">Returns</h3>

<p>A string.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js;">// fileInput is an HTMLInputElement: &lt;input type="file" id="myfileinput" multiple&gt;
var fileInput = document.getElementById("myfileinput");

// files is a FileList object (similar to NodeList)
var files = fileInput.files;

// object for allowed media types
var accept = {
  binary : ["image/png", "image/jpeg"],
  text   : ["text/plain", "text/css", "application/xml", "text/html"]
};

var file;

for (var i = 0; i &lt; files.length; i++) {
  file = files[i];

  // if file type could be detected
  if (file !== null) {
    if (accept.binary.indexOf(file.type) &gt; -1) {
      // file is a binary, which we accept
      var data = file.getAsBinary();
    } else if (accept.text.indexOf(file.type) &gt; -1) {
      // file is of type text, which we accept
      var data = file.getAsText();
      // modify data with string methods
    }
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("File")}}</li>
 <li>{{domxref("FileReader")}}</li>
</ul>
